Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManager.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManager.java	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManager.java	(revision 57216)
@@ -1,11 +1,13 @@
 package eu.dnetlib.validator.service.impl;
 
 import eu.dnetlib.domain.functionality.validator.JobForValidation;
+import eu.dnetlib.domain.functionality.validator.JobResultEntry;
 import eu.dnetlib.domain.functionality.validator.RuleSet;
 import eu.dnetlib.domain.functionality.validator.StoredJob;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardJob;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardNotificationHandler;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardServerHandler;
+import eu.dnetlib.validator.commons.dao.DaoException;
 import eu.dnetlib.validator.engine.ValidatorException;
 
 import java.util.List;
@@ -30,4 +32,7 @@
 
     int getStoredJobsTotalNumber(String userMail, String jobType, String jobStatus) throws ValidatorException;
 
+    List<StoredJob> getJobSummary(List<String> baseUrl, int limit) throws DaoException;
+
+
 }
Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManagerImpl.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManagerImpl.java	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManagerImpl.java	(revision 57216)
@@ -1,9 +1,6 @@
 package eu.dnetlib.validator.service.impl;
 
-import eu.dnetlib.domain.functionality.validator.CustomProperties;
-import eu.dnetlib.domain.functionality.validator.JobForValidation;
-import eu.dnetlib.domain.functionality.validator.RuleSet;
-import eu.dnetlib.domain.functionality.validator.StoredJob;
+import eu.dnetlib.domain.functionality.validator.*;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardJob;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardNotificationHandler;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardServerHandler;
@@ -65,6 +62,10 @@
 			throw new ValidatorException(e);
 		}
 	}
+
+	public List<StoredJob> getJobSummary(List<String> baseUrl, int limit) throws DaoException {
+		return jobsDao.getJobSummary(baseUrl,limit);
+	}
 	
 	public List<StoredJob> getStoredJobs(String userMail, String jobType,
 			Integer offset, Integer limit, String dateFrom, String dateTo)
@@ -233,21 +234,16 @@
 					logger.debug("Setting METADATA_PREFIX to: oai_openaire");
 					job.setMetadataPrefix("oai_openaire");
 				} else if (
-//					job.getDesiredCompatibilityLevel().equalsIgnoreCase("openaire2.0") ||
 						job.getDesiredCompatibilityLevel().toLowerCase().matches("^openaire\\d.\\d$") ||
-//					job.getDesiredCompatibilityLevel().equalsIgnoreCase("openaire3.0") ||
-//					job.getDesiredCompatibilityLevel().equalsIgnoreCase("openaire4.0") ||
 								job.getDesiredCompatibilityLevel().equalsIgnoreCase("driver")) {
 					logger.debug("Chosen set: OpenAIRE For Literature Repositories");
 					logger.debug("Setting METADATA_PREFIX to: oai_dc");
 					job.setMetadataPrefix("oai_dc");
 				} else if (job.getDesiredCompatibilityLevel().toLowerCase().matches("^openaire\\d.\\d_data$")) {
-					// job.getDesiredCompatibilityLevel().equalsIgnoreCase("openaire2.0_data")) {
 					logger.debug("Chosen set: OpenAIRE For Data Archives");
 					logger.debug("Setting METADATA_PREFIX to: oai_datacite");
 					job.setMetadataPrefix("oai_datacite");
 				} else if (job.getDesiredCompatibilityLevel().toLowerCase().matches("^openaire\\d.\\d(.\\d)?_cris$")) {
-					// job.getDesiredCompatibilityLevel().equalsIgnoreCase("openaire3.0_cris")) {
 					logger.debug("Chosen set: OpenAIRE For Cris");
 					logger.debug("Setting METADATA_PREFIX to: oai_CERIF_openaire");
 					job.setMetadataPrefix("oai_CERIF_openaire");
Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorServiceImpl.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorServiceImpl.java	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorServiceImpl.java	(revision 57216)
@@ -6,10 +6,12 @@
 import eu.dnetlib.domain.ResourceType;
 import eu.dnetlib.domain.enabling.Notification;
 import eu.dnetlib.domain.functionality.validator.JobForValidation;
+import eu.dnetlib.domain.functionality.validator.JobResultEntry;
 import eu.dnetlib.domain.functionality.validator.RuleSet;
 import eu.dnetlib.domain.functionality.validator.StoredJob;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardNotificationHandler;
 import eu.dnetlib.enabling.tools.blackboard.BlackboardServerHandler;
+import eu.dnetlib.validator.commons.dao.DaoException;
 import eu.dnetlib.validator.engine.ValidatorException;
 import gr.uoa.di.driver.app.DriverServiceImpl;
 import gr.uoa.di.driver.enabling.issn.NotificationListener;
@@ -67,6 +69,16 @@
 	}
 
 	@Override
+	public List<StoredJob> getJobSummary(List<String> baseUrl, int size) throws ValidatorServiceException {
+		try {
+			return valManager.getJobSummary(baseUrl,size);
+		} catch (DaoException e) {
+			throw new ValidatorServiceException(e);
+		}
+	}
+
+
+	@Override
 	public List<StoredJob> getStoredJobs(String userMail, String jobType,
 										 Integer offset, Integer limit, String dateFrom, String dateTo)
 			throws ValidatorServiceException {
Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/CompatibilityTestListener.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/CompatibilityTestListener.java	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/CompatibilityTestListener.java	(revision 57216)
@@ -13,7 +13,7 @@
 import eu.dnetlib.validator.engine.execution.CompletedTask;
 import eu.dnetlib.validator.engine.execution.JobListener;
 
-public class CompatibilityTestListener implements JobListener{
+public class CompatibilityTestListener extends AbstractValidatorListener{
 	private static Logger logger = Logger.getLogger(CompatibilityTestListener.class);
 	
 	private Emailer emailer = null;
@@ -20,46 +20,17 @@
 	private String valBaseUrl = null;
 	private String validationSet = null; 
 	private String guidelines = null;
-	private JobsDAO jobsDao;
-	
-	private int totalJobs;
-	private int jobsFinished = 0;
 
 	@Override
-	@Transactional(propagation = Propagation.REQUIRED)
-	public synchronized void finished(int jobId, Map<String, Object> jobContext) {
-		try {
-			jobsFinished++;
-			if (jobsFinished == totalJobs) {
-				logger.debug("all jobs finished");
-				jobsDao.setTotalJobFinished(jobId, null, false);
-				this.sendMail((Integer) jobContext.get("jobSubmittedId"), (String) jobContext.get("jobSubmittedUser"));
-			} else {
-				logger.debug("not all jobs finished yet. Waiting "+ (totalJobs-jobsFinished) + " job(s) to finish" );
-			}
-		} catch (Exception e) {
-			logger.error("Error while finalizing successfull compatibility test job", e);
-		}
+	protected void jobSuccess(int jobId, Map<String, Object> jobContext) {
+		sendMail(jobId, (String) jobContext.get("jobSubmittedUser"));
 	}
 
 	@Override
-	@Transactional(propagation = Propagation.REQUIRED)
-	public synchronized void failed(int jobId, Map<String, Object> jobContext, Throwable t) {
-		try {
-			jobsFinished++;
-			if (jobsFinished == totalJobs) {
-				jobsDao.setTotalJobFinished(jobId, t.getMessage(), true);
-				this.sendMail((Integer) jobContext.get("jobSubmittedId"), (String) jobContext.get("jobSubmittedUser"));
-			} else {
-				logger.debug("not all jobs finished yet. Waiting "+ (totalJobs-jobsFinished) + " job(s) to finish" );
-			}
-		} catch (Exception e) {
-			logger.error("Error while finalizing failed compatibility test job", e);
-		}
+	protected void jobFailure(int jobId, Map<String, Object> jobContext, Throwable t) {
+		sendMail( jobId, (String) jobContext.get("jobSubmittedUser"));
 	}
 
-
-	
 	private void sendMail(int jobSubmittedId, String jobSubmittedUser) {
 		logger.debug("JOBID:"+jobSubmittedId+"# Sending email for finished job");
 		String mailTo = jobSubmittedUser;
@@ -78,21 +49,7 @@
 			logger.error("JOBID:"+jobSubmittedId+"# Error sending email for finished job", e);
 		}
 	}
-	
-	@Override
-	public void currentResults(List<CompletedTask> tasks, int jobId,
-			Object object, Map<String, Object> recordContext, Throwable t) {
-		// TODO Auto-generated method stub
-		
-	}
 
-	@Override
-	public void currentResults(List<CompletedTask> tasks, int jobId,
-			Object object, Map<String, Object> recordContext) {
-		// TODO Auto-generated method stub
-		
-	}
-
 	public String getValBaseUrl() {
 		return valBaseUrl;
 	}
@@ -125,21 +82,4 @@
 		this.guidelines = guidelines;
 	}
 
-	public int getTotalJobs() {
-		return totalJobs;
-	}
-
-	public void setTotalJobs(int totalJobs) {
-		this.totalJobs = totalJobs;
-	}
-
-	public JobsDAO getJobsDao() {
-		return jobsDao;
-	}
-
-	public void setJobsDao(JobsDAO jobsDao) {
-		this.jobsDao = jobsDao;
-	}
-
-	
 }
Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/AbstractValidatorListener.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/AbstractValidatorListener.java	(nonexistent)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/AbstractValidatorListener.java	(revision 57216)
@@ -0,0 +1,137 @@
+package eu.dnetlib.validator.service.impls.listeners;
+
+import eu.dnetlib.validator.commons.dao.jobs.JobsDAO;
+import eu.dnetlib.validator.engine.execution.CompletedTask;
+import eu.dnetlib.validator.engine.execution.JobListener;
+import org.apache.log4j.Logger;
+import org.springframework.transaction.annotation.Propagation;
+import org.springframework.transaction.annotation.Transactional;
+
+import java.util.List;
+import java.util.Map;
+
+public abstract class AbstractValidatorListener implements JobListener {
+
+    private static Logger logger = Logger.getLogger(AbstractValidatorListener.class);
+    private JobsDAO jobsDao;
+    protected int jobId;
+    protected boolean updateExisting;
+    private int totalJobs;
+    private int jobsFinished = 0;
+
+    protected int score_content = 0, score_usage = 0;
+
+
+    public AbstractValidatorListener() {
+        logger.error("Creating new validator listener");
+    }
+
+    protected abstract void jobSuccess(int jobId,  Map<String, Object> jobContext);
+
+    protected abstract void jobFailure(int jobId,  Map<String, Object> jobContext, Throwable t);
+
+
+    @Override
+    @Transactional(propagation = Propagation.REQUIRED)
+    public synchronized void finished(int jobId, Map<String, Object> jobContext) {
+
+        try{
+            jobsFinished++;
+            if (jobContext.containsKey("score_content")) {
+                score_content = (Integer) jobContext.get("score_content");
+            } else if (jobContext.containsKey("score_usage")) {
+                score_usage = (Integer) jobContext.get("score_usage");
+            }
+            if (jobsFinished == totalJobs) {
+                logger.debug("all jobs for registration finished");
+                jobsDao.setTotalJobFinished(jobId, null, false);
+                logger.debug("id:"+jobId+ "c: " + score_content + " u:" + score_usage);
+                jobSuccess((Integer) jobContext.get("jobSubmittedId"), jobContext);
+            } else {
+                logger.debug("not all jobs finished yet. Waiting "+ (totalJobs-jobsFinished) + " job(s) to finish" );
+            }
+        } catch (Exception e) {
+            logger.error("Error while finalizing successfull registration job");
+        }
+    }
+
+    @Override
+    @Transactional(propagation = Propagation.REQUIRED)
+    public synchronized void failed(int jobId, Map<String, Object> jobContext, Throwable t) {
+
+        try{
+            jobsDao.setTotalJobFinished(jobId, t.getMessage(), true);
+            this.jobFailure((Integer) jobContext.get("jobSubmittedId"), jobContext,t);
+        } catch (Exception e) {
+            logger.error("Error while finalizing failed registration job");
+        }
+    }
+
+    @Override
+    public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
+                                            Object object, Map<String, Object> recordContext, Throwable t) {
+        // We don't care about partial results.
+    }
+
+    @Override
+    public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
+                                            Object object, Map<String, Object> recordContext) {
+        // We don't care about partial results.
+    }
+
+    public JobsDAO getJobsDao() {
+        return jobsDao;
+    }
+
+    public void setJobsDao(JobsDAO jobsDao) {
+        this.jobsDao = jobsDao;
+    }
+
+    public int getJobId() {
+        return jobId;
+    }
+
+    public void setJobId(int jobId) {
+        this.jobId = jobId;
+    }
+
+    public boolean isUpdateExisting() {
+        return updateExisting;
+    }
+
+    public void setUpdateExisting(boolean updateExisting) {
+        this.updateExisting = updateExisting;
+    }
+
+    public int getTotalJobs() {
+        return totalJobs;
+    }
+
+    public void setTotalJobs(int totalJobs) {
+        this.totalJobs = totalJobs;
+    }
+
+    public int getJobsFinished() {
+        return jobsFinished;
+    }
+
+    public void setJobsFinished(int jobsFinished) {
+        this.jobsFinished = jobsFinished;
+    }
+
+    public int getScore_content() {
+        return score_content;
+    }
+
+    public void setScore_content(int score_content) {
+        this.score_content = score_content;
+    }
+
+    public int getScore_usage() {
+        return score_usage;
+    }
+
+    public void setScore_usage(int score_usage) {
+        this.score_usage = score_usage;
+    }
+}
Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/RegistrationListener.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/RegistrationListener.java	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/RegistrationListener.java	(revision 57216)
@@ -1,48 +1,21 @@
 package eu.dnetlib.validator.service.impls.listeners;
 
-import java.util.List;
-import java.util.Map;
 
 import org.apache.log4j.Logger;
 import org.springframework.http.*;
-import org.springframework.transaction.annotation.Propagation;
-import org.springframework.transaction.annotation.Transactional;
-
-import eu.dnetlib.api.data.DatasourceManagerService;
-import eu.dnetlib.validator.commons.dao.jobs.JobsDAO;
-import eu.dnetlib.validator.commons.email.Emailer;
-import eu.dnetlib.validator.engine.execution.CompletedTask;
-import eu.dnetlib.validator.engine.execution.JobListener;
-import gr.uoa.di.driver.util.ServiceLocator;
 import org.springframework.util.LinkedMultiValueMap;
 import org.springframework.util.MultiValueMap;
 import org.springframework.web.client.RestTemplate;
 
-public class RegistrationListener implements JobListener{
-	
-//	private String valBaseUrl = null;
-	private String providerUrl = null;
-	private JobsDAO jobsDao;
+import java.util.Map;
 
-	private int jobId;
-//	private String activationId;
-	private String userMail;
-//	private String officialName;
-//	private String baseUrl;
+public class RegistrationListener extends AbstractValidatorListener {
+
 	private String datasourceId;
 	private String interfaceId;
-//	private String interfaceIdOld;
-//	private String validationSet;
-//	private String desiredCompLevel;
-//	private String repoType;
+	private String providerUrl = null;
+	private String userMail;
 
-	private boolean updateExisting;
-	
-	private int totalJobs;
-	private int jobsFinished = 0;
-	
-	private int score_content = 0, score_usage = 0;
-
 	private static Logger logger = Logger.getLogger(RegistrationListener.class);
 
 	public RegistrationListener() {
@@ -49,84 +22,21 @@
 		logger.error("Creating new registration listener");
 	}
 
-	@Override
-	@Transactional(propagation = Propagation.REQUIRED)
-	public synchronized void finished(int jobId, Map<String, Object> jobContext) {
 
-		try{
-			jobsFinished++;
-			if (jobContext.containsKey("score_content")) {
-				score_content = (Integer) jobContext.get("score_content");
-			} else if (jobContext.containsKey("score_usage")) {
-				score_usage = (Integer) jobContext.get("score_usage");
-			}
-			if (jobsFinished == totalJobs) {
-				logger.debug("all jobs for registration finished");
-				jobsDao.setTotalJobFinished(jobId, null, false);
-				logger.debug("id:"+jobId+ "c: " + score_content + " u:" + score_usage);
-				this.jobSuccess((Integer) jobContext.get("jobSubmittedId"), score_content, score_usage);
-			} else {
-				logger.debug("not all jobs finished yet. Waiting "+ (totalJobs-jobsFinished) + " job(s) to finish" );
-			}
-		} catch (Exception e) {
-			logger.error("Error while finalizing successfull registration job");
-		}
-	}
 
-	@Override
-	@Transactional(propagation = Propagation.REQUIRED)
-	public synchronized void failed(int jobId, Map<String, Object> jobContext, Throwable t) {
-
-		try{
-			jobsDao.setTotalJobFinished(jobId, t.getMessage(), true);
-			this.jobFailure((Integer) jobContext.get("jobSubmittedId"),t.getMessage());
-		} catch (Exception e) {
-			logger.error("Error while finalizing failed registration job");
-		}
-	}
-
-	@Override
-	public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
-											Object object, Map<String, Object> recordContext, Throwable t) {
-		// We don't care about partial results.
-	}
-
-	@Override
-	public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
-											Object object, Map<String, Object> recordContext) {
-		// We don't care about partial results.
-	}
-
-	public synchronized void jobSuccess(int jobId, int score_content, int score_usage) {
+	public synchronized void jobSuccess(int jobId,  Map<String, Object> jobContext) {
 		logger.info("Preregistration job "+jobId+" finished");
-
-		this.score_content = score_content;
-		this.score_usage = score_usage;
-		this.jobId=jobId;
-
-		this.success();
-	}
-
-	public synchronized void jobFailure(int jobId, String error) {
-		logger.info("Pregistration job "+jobId+" failed with exception: "+error);
-
-		this.jobId=jobId;
-
-		this.error();
-	}
-	
-	private void success() {
 		try {
-		    logger.debug("Sending results to provide @ " + providerUrl +"/validator/complete");
+			logger.debug("Sending results to provide @ " + providerUrl +"/validator/complete");
 			HttpHeaders headers = new HttpHeaders();
 			headers.setContentType(MediaType.APPLICATION_FORM_URLENCODED);
 
 			MultiValueMap<String, String> map= new LinkedMultiValueMap<String, String>();
-			map.add("interfaceId", this.interfaceId);
-			map.add("repoId",this.datasourceId);
-			map.add("jobId",Integer.toString(this.jobId));
-			map.add("issuerEmail",this.userMail);
-			map.add("isUpdate",Boolean.toString(this.updateExisting));
+			map.add("interfaceId", interfaceId);
+			map.add("repoId",datasourceId);
+			map.add("jobId",Integer.toString(jobId));
+			map.add("issuerEmail",userMail);
+			map.add("isUpdate",Boolean.toString(updateExisting));
 
 			// isUsccess: the job finished succesfully, regardless of validation scores.
 
@@ -139,14 +49,14 @@
 
 			ResponseEntity<String> response = restTemplate.postForEntity( providerUrl + "/validator/complete", request , String.class );
 
-//			this.updateRepositoryInterfaceCompliance(officialName, datasourceId, interfaceId, desiredCompLevel, validationSet, baseUrl, interfaceIdOld);
-
 		} catch (Exception e) {
 			logger.error("", e);
 		}
+
 	}
 
-	private void error() {
+	public synchronized void jobFailure(int jobId,  Map<String, Object> jobContext, Throwable t) {
+		logger.info("Pregistration job "+jobId+" failed with exception: "+t.getMessage());
 		try {
 			logger.debug("Sending results to provide @ " + providerUrl + "/validator/complete");
 			HttpHeaders headers = new HttpHeaders();
@@ -169,61 +79,11 @@
 
 			ResponseEntity<String> response = restTemplate.postForEntity(providerUrl + "/validator/complete", request, String.class);
 
-//			this.updateRepositoryInterfaceCompliance(officialName, datasourceId, interfaceId, "notCompatible", validationSet, baseUrl, interfaceIdOld);
 		} catch (Exception e) {
 			logger.error("", e);
 		}
 	}
 
-
-	
-//	public boolean updateRepositoryInterfaceCompliance(String officialName,
-//			String datasourceId, String interfaceId, String desiredCompliance, String set, String baseUrl, String oldId)
-//					throws Exception {
-//		boolean ret = true;
-//		try {
-//			if (desiredCompliance.equalsIgnoreCase("openaire2.0_data"))
-//				desiredCompliance = "openaire2.0";
-//			logger.debug("updating repository " + officialName + " compliance to : " + desiredCompliance);
-//			if (oldId == null) {
-//				dmService.getService().updateLevelOfCompliance(datasourceId, interfaceId, desiredCompliance);
-//			}
-//			else {
-//				logger.debug("Checking if old interface should be updated");
-//				if (!desiredCompliance.equalsIgnoreCase("UNKNOWN") && (!desiredCompliance.equalsIgnoreCase("notCompatible"))) {
-//					logger.debug("updating old interface with new set/url");
-//					dmService.getService().updateBaseUrl(datasourceId, oldId, baseUrl);
-//					if(set.equalsIgnoreCase("none"))
-//						dmService.getService().deleteAccessParamOrExtraField(datasourceId, oldId, "set");
-//					else
-//						dmService.getService().updateAccessParam(datasourceId, oldId, "set", set, false);
-//					logger.debug("deleting new interface");
-//					dmService.getService().deleteInterface(datasourceId, interfaceId);
-//
-//				}
-//				logger.debug("updating repository " + officialName + " compliance to : " + desiredCompliance);
-//			}
-//			java.util.Date utilDate = new java.util.Date();
-//			java.sql.Timestamp date = new java.sql.Timestamp(utilDate.getTime());
-//
-//			String updateQuery = "UPDATE datasources SET activationid = " + null + "," +
-//					" dateofvalidation = '" + date + "'" +
-//					" WHERE id = '" + datasourceId + "'";
-//
-//			if (dmService.getService().updateSQL(datasourceId, updateQuery, false))
-//				logger.debug("updated successfully");
-//			else
-//				logger.error("error while updating: " + updateQuery);
-//
-//		} catch (Exception e) {
-//			logger.error("error connecting to dms to set a repo interface as openaire compliant " + officialName, e);
-//			ret = false;
-//			throw e;
-//		}
-//		return ret;
-//	}
-//
-
 	public String getProviderUrl() {
 		return providerUrl;
 	}
@@ -232,14 +92,7 @@
 		this.providerUrl = providerUrl;
 	}
 
-	public JobsDAO getJobsDao() {
-		return jobsDao;
-	}
 
-	public void setJobsDao(JobsDAO jobsDao) {
-		this.jobsDao = jobsDao;
-	}
-
 	public int getJobId() {
 		return jobId;
 	}
@@ -280,11 +133,4 @@
 		this.updateExisting = updateExisting;
 	}
 
-	public int getTotalJobs() {
-		return totalJobs;
-	}
-
-	public void setTotalJobs(int totalJobs) {
-		this.totalJobs = totalJobs;
-	}
 }
Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/CrisListener.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/CrisListener.java	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/CrisListener.java	(revision 57216)
@@ -69,9 +69,6 @@
 					cacheManager.removeCache(cacheName);
 					logger.debug("caches after removal of cache: " + cacheName);
 				}
-	//			for (String cache : cacheManager.getCacheNames()) {
-	//				logger.debug("name: " + cache);
-	//			}
 			}
 		} catch (Exception e) {
 			logger.error("Error while finalizing successful cris job");
Index: modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/listeners/springContext-validator-listeners.xml
===================================================================
--- modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/listeners/springContext-validator-listeners.xml	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/listeners/springContext-validator-listeners.xml	(revision 57216)
@@ -15,11 +15,16 @@
 		<lookup-method name="createDnetListener" bean="openaireDnetListener"/>	
 		<lookup-method name="createCrisListener" bean="openaireCrisListener"/>	
 	</bean>
-	
+
+<!--	<bean id ="abstractValidatorListener" class="eu.dnetlib.validator.service.impls.listeners.AbstractValidatorListener" abstract="true">-->
+<!--		<property name="jobsDao" ref="jobsDao" />-->
+<!--	</bean>-->
+
+<!--	<bean id ="openaireValRegListener" class="eu.dnetlib.validator.service.impls.listeners.RegistrationListener" parent="abstractValidatorListener" scope="prototype">-->
 	<bean id ="openaireValRegListener" class="eu.dnetlib.validator.service.impls.listeners.RegistrationListener" scope="prototype">
+		<property name="jobsDao" ref="jobsDao" />
 		<property name="providerUrl" value="${provider.endpoint}"/>
-		<property name="jobsDao" ref="jobsDao" />
-	</bean>	
+	</bean>
 	
 	<bean id ="openaireValCompTestListener" class="eu.dnetlib.validator.service.impls.listeners.CompatibilityTestListener" scope="prototype">
 		<property name="emailer" ref="emailer" />
Index: modules/uoa-validator-service/trunk/src/main/resources/application.properties
===================================================================
--- modules/uoa-validator-service/trunk/src/main/resources/application.properties	(nonexistent)
+++ modules/uoa-validator-service/trunk/src/main/resources/application.properties	(revision 57216)
@@ -0,0 +1,117 @@
+#container.hostname = dl114.madgik.di.uoa.gr
+#container.hostname = mpagasas.di.uoa.gr
+#container.hostname = adonis.athenarc.gr
+container.hostname = estella.athenarc.gr
+
+provider.endpoint=http://estella.athenarc.gr:8480/uoa-repository-manager-service
+
+
+#container.hostname = validator.mincyt.research-infrastructures.eu
+container.port = 8080
+container.context = validator-service
+
+# BASIC SETTINGS
+services.validator.mode.user = ldap
+services.validator.mode.repo = dms
+services.validator.baseUrl = http://${container.hostname}:${container.port}/${container.context}
+services.validator.dnetWorkflow = true
+services.validator.deploy.environment = openaire-beta
+#services.validator.deploy.environment = mincyt
+services.validator.registration.files.download = true
+services.validator.autoRestoreOnStartup = false
+services.validator.mode.standalone = false
+services.validator.mail.override = false
+services.validator.adminEmail = antleb@di.uoa.gr
+services.validator.admins.master = antleb@di.uoa.gr
+services.validator.admins.secondary = ant.lebesis@gmail.com
+services.validator.adminBaseUrl = ../validator-admin
+services.validator.webBaseUrl = http://${container.hostname}:${container.port}/validator
+services.validator.registrationsReport.email = ant.lebesis@gmail.com
+services.repo-manager.repository.testing.mode = false
+
+# EMAIL SETTINGS
+services.validator.mail.host = smtp.gmail.com
+services.validator.mail.port = 465
+services.validator.mail.username = test.openaire@gmail.com
+services.validator.mail.password = ^($*@$)*!$
+services.validator.mail.authenticate = true
+services.validator.mail.mode = ssl
+ervices.validator.mail.fromAddress = no-reply@mpagasas.openaire.eu
+services.validator.mail.override = false
+services.validator.mail.overrideEmail = nikonas@di.uoa.gr
+services.validator.mail.specialRecipients = antleb@di.uoa.gr
+
+
+# VALIDATOR DB
+services.validator.db.driverClassName = org.postgresql.Driver
+#services.validator.db.url = jdbc:postgresql://194.177.192.119:5432/validator
+services.validator.db.url = jdbc:postgresql://88.197.53.70:5432/validator
+services.validator.db.username = dnet
+services.validator.db.password = dnetPwd
+
+# IS
+#ISLookUpService.url = http://node1.t.openaire.research-infrastructures.eu:8280/is/services/isLookUp
+#ISRegistryService.url = http://node1.t.openaire.research-infrastructures.eu:8280/is/services/isRegistry
+#ISSNService.url = http://node1.t.openaire.research-infrastructures.eu:8280/is/services/isSN
+
+#ISLookUpService.url = http://skalny.icm.edu.pl:8280/is/services/isLookUp
+#ISRegistryService.url = http://skalny.icm.edu.pl:8280/is/services/isRegistry
+#ISSNService.url = skalny.icm.edu.pl:8280/is/services/isSN
+
+#ISLookUpService.url = http://node0.t.openaire.research-infrastructures.eu:8080/is/services/isLookUp
+#ISRegistryService.url = http://node0.t.openaire.research-infrastructures.eu:8080/is/services/isRegistry
+#ISSNService.url = http://node0.t.openaire.research-infrastructures.eu:8080/is/services/isSN
+
+#ISLookUpService.url = http://node6.t.openaire.research-infrastructures.eu:8980/dnet/services/isLookUp
+#ISRegistryService.url = http://node6.t.openaire.research-infrastructures.eu:8980/dnet/services/isRegistry
+#ISSNService.url = http://node6.t.openaire.research-infrastructures.eu:8980/dnet/services/isSN
+
+#ISLookUpService.url = http://node6.t.openaire.research-infrastructures.eu:8280/is/services/isLookUp
+#ISRegistryService.url = http://node6.t.openaire.research-infrastructures.eu:8280/is/services/isRegistry
+#ISSNService.url = http://node6.t.openaire.research-infrastructures.eu:8280/is/services/isSN
+
+#ISLookUpService.url = http://aggregator.mincyt.research-infrastructures.eu:8080/is/services/isLookUp
+#ISRegistryService.url = http://aggregator.mincyt.research-infrastructures.eu:8080/is/services/isRegistry
+#ISSNService.url = http://aggregator.mincyt.research-infrastructures.eu:8080/is/services/isSN
+
+#ISLookUpService.url = http://node0.d.hudl.research-infrastructures.eu:8080/is/services/isLookUp
+#ISRegistryService.url = http://node0.d.hudl.research-infrastructures.eu:8080/is/services/isRegistry
+#ISSNService.url = http://node0.d.hudl.research-infrastructures.eu:8080/is/is/services/isSN
+
+ISLookUpService.url = https://dev-openaire.d4science.org:443/is/services/isLookUp
+ISRegistryService.url = https://dev-openaire.d4science.org:443/is/services/isRegistry
+ISSNService.url = https://dev-openaire.d4science.org:443/is/services/isSN
+ValidatorService.url=http://localhost:8080/validator-service/services/validatorWebService
+
+# LDAP
+#services.validator.ldap.address = 88.197.53.113
+#services.validator.ldap.address = 194.197.192.119
+#services.validator.ldap.port = 389
+#services.validator.ldap.username = cn=admin,dc=openaire,dc=eu
+#services.validator.ldap.password = serenata
+#services.validator.ldap.usersDN = ou=users,dc=openaire,dc=eu
+
+services.users.ldap.address = 194.177.192.119
+services.users.ldap.port = 389
+services.users.ldap.username = cn=admin,dc=openaire,dc=eu
+services.users.ldap.password = serenata
+services.users.ldap.usersDN = ou=users,dc=openaire,dc=eu
+
+services.validator.ldap.address = 194.177.192.119
+services.validator.ldap.port = 389
+services.validator.ldap.username = cn=admin,dc=openaire,dc=eu
+services.validator.ldap.password = serenata
+services.validator.ldap.usersDN = ou=users,dc=openaire,dc=eu
+
+#AAI-REDIS
+redis.host = estella.athenarc.gr
+redis.port = 6379
+redis.password = redis123
+
+oidc.dev.home = http://adonis.athenarc.gr:8080/repomanager-service-dev/openid_connect_login
+webapp.dev.front = http://adonis.athenarc.gr:3000/dashboard
+
+
+#uoa-repository-manager-service
+#oidc.dev.home=http://88.197.53.69:8080/uoa-repository-manager-service/openid_connect_login
+#webapp.dev.front=http://88.197.53.69/landing
Index: modules/uoa-validator-service/trunk/src/main/webapp/WEB-INF/log4j.properties
===================================================================
--- modules/uoa-validator-service/trunk/src/main/webapp/WEB-INF/log4j.properties	(revision 57215)
+++ modules/uoa-validator-service/trunk/src/main/webapp/WEB-INF/log4j.properties	(revision 57216)
@@ -20,7 +20,6 @@
 log4j.logger.eu.dnetlib.xml.database.LoggingTrigger=WARN
 log4j.logger.eu.dnetlib.enabling.tools.registration=DEBUG
 log4j.logger.eu.dnetlib.enabling.tools.registration.ServiceRegistrator=INFO
-log4j.logger.eu.dnetlib.enabling.inspector=FATAL
 log4j.logger.eu.dnetlib.enabling.inspector.SubscriptionController=DEBUG
 log4j.logger.eu.dnetlib.springutils.stringtemplate.StringTemplateViewResolver=FATAL     
 log4j.logger.eu.dnetlib.enabling.is.sn.SynchronousNotificationSenderImpl=WARN
@@ -47,23 +46,3 @@
 log4j.appender.S.MaxBackupIndex = 10
 log4j.appender.S.layout = org.apache.log4j.PatternLayout
 log4j.appender.S.layout.ConversionPattern = %d %p %t [%c] - %m%n
-
-#org.apache.cxf.Logger=org.apache.cxf.common.logging.Log4jLogger
-#
-#log4j.rootLogger=WARN, CONSOLE
-#log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
-#log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
-#log4j.appender.CONSOLE.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n
-#
-#log4j.logger.eu.dnetlib=INFO
-#log4j.logger.org.apache.cxf.interceptor=FATAL
-#log4j.logger.org.apache.cxf.ws.addressing.ContextUtils=FATAL
-#log4j.logger.eu.dnetlib.enabling.tools.AbstractBaseService=INFO
-#log4j.logger.eu.dnetlib.enabling.inspector=DEBUG
-#log4j.logger.eu.dnetlib.xml.database.LoggingTrigger=WARN
-#log4j.logger.eu.dnetlib.enabling.tools.registration=DEBUG
-#log4j.logger.eu.dnetlib.enabling.tools.registration.ServiceRegistrator=INFO
-#log4j.logger.eu.dnetlib.enabling.inspector=FATAL
-#log4j.logger.eu.dnetlib.enabling.inspector.SubscriptionController=DEBUG
-#log4j.logger.eu.dnetlib.springutils.stringtemplate.StringTemplateViewResolver=FATAL             
-#log4j.logger.eu.dnetlib.enabling.is.sn.SynchronousNotificationSenderImpl=WARN
\ No newline at end of file