Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationResultToCommunityThroughOrganizationJob.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationResultToCommunityThroughOrganizationJob.xml	(nonexistent)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationResultToCommunityThroughOrganizationJob.xml	(revision 57428)
@@ -0,0 +1,49 @@
+<RESOURCE_PROFILE>
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="404f8175-02a2-4b1f-9130-6216598716e7_SGFkb29wSm9iQ29uZmlndXJhdGlvbkRTUmVzb3VyY2VzL0hhZG9vcEpvYkNvbmZpZ3VyYXRpb25EU1Jlc291cmNlVHlwZQ=="/>
+        <RESOURCE_TYPE value="HadoopJobConfigurationDSResourceType"/>
+        <RESOURCE_KIND value="HadoopJobConfigurationDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2019-08-07T14:39:58+00:00"/>
+    </HEADER>
+    <BODY>
+        <HADOOP_JOB name="propagationResultToCommunityThroughOrganization" type="mapreduce">
+            <DESCRIPTION>map reduce job that propagates result to a community through the affiliation to organizations</DESCRIPTION>
+            <STATIC_CONFIGURATION><!-- I/O FORMAT -->
+                <PROPERTY key="mapreduce.inputformat.class" value="org.apache.hadoop.hbase.mapreduce.TableInputFormat"/>
+                <PROPERTY key="mapreduce.outputformat.class" value="org.apache.hadoop.hbase.mapreduce.TableOutputFormat"/><!-- MAPPER -->
+                <PROPERTY key="mapreduce.map.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.communitythroughorganization.PropagationCommunityThroughOrganizationMapper"/>
+                <PROPERTY key="mapred.mapoutput.key.class" value="org.apache.hadoop.hbase.io.ImmutableBytesWritable"/>
+                <PROPERTY key="mapred.mapoutput.value.class" value="org.apache.hadoop.io.Text"/><!-- REDUCER -->
+                <PROPERTY key="mapreduce.reduce.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.communitythroughorganization.PropagationCommunityThroughOrganizationReducer"/>
+                <PROPERTY key="mapred.output.key.class" value="org.apache.hadoop.hbase.io.ImmutableBytesWritable"/>
+                <PROPERTY key="mapred.output.value.class" value="org.apache.hadoop.io.Text"/><!-- MISC -->
+                <PROPERTY key="mapred.compress.map.output" value="true"/>
+                <PROPERTY key="mapred.map.tasks.speculative.execution" value="false"/>
+                <PROPERTY key="mapreduce.map.speculative" value="false"/>
+                <PROPERTY key="mapreduce.reduce.speculative" value="false"/>
+                <PROPERTY key="mapred.reduce.tasks.speculative.execution" value="false"/>
+                <PROPERTY key="mapred.reduce.tasks" value="20"/><!-- <PROPERTY key="user.name" value="dnet" /> --><!--  	Uncomment to override the default lib path --><!--<PROPERTY key="job.lib" value="/user/dnet/openaire/dnet-mapreduce-jobs-assembly-country_propagation-1.1.1-SNAPSHOT.jar"/>-->
+                <PROPERTY key="job.lib" value="/lib/dnet/snapshots/propagation_community2organization.jar"/>
+            </STATIC_CONFIGURATION>
+            <JOB_INTERFACE>
+                <PARAM description="source hbase table" name="hbase.mapred.inputtable" required="true"/>
+                <PARAM description="target hbase table" name="hbase.mapred.outputtable" required="true"/>
+                <PARAM description="source hbase table" name="hbase.mapreduce.inputtable" required="true"/>
+                <PARAM description="target hbase table" name="hbase.mapreduce.outputtable" required="true"/>
+                <!--add needed param to get association between community and organization -->
+                <PARAM description="map organization to communities" name="organization.community.map" required="true"/>
+            </JOB_INTERFACE>
+            <SCAN>
+                <FILTERS/>
+                <FAMILIES/>
+            </SCAN>
+        </HADOOP_JOB>
+        <STATUS>
+            <LAST_SUBMISSION_DATE value="2019-08-07T14:50:14+00:00"/>
+            <RUNNING_INSTANCES value="2"/>
+            <CUMULATIVE_RUN value="34"/>
+        </STATUS>
+        <SECURITY_PARAMETERS>SECURITY_PARAMETERS</SECURITY_PARAMETERS>
+    </BODY>
+</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationResultToCommunityThorughOrganizationSaveToFileJob.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationResultToCommunityThorughOrganizationSaveToFileJob.xml	(nonexistent)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationResultToCommunityThorughOrganizationSaveToFileJob.xml	(revision 57428)
@@ -0,0 +1,51 @@
+<RESOURCE_PROFILE>
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="c5f60933-2582-4f73-86b7-810ab4ba4c7e_SGFkb29wSm9iQ29uZmlndXJhdGlvbkRTUmVzb3VyY2VzL0hhZG9vcEpvYkNvbmZpZ3VyYXRpb25EU1Jlc291cmNlVHlwZQ=="/>
+        <RESOURCE_TYPE value="HadoopJobConfigurationDSResourceType"/>
+        <RESOURCE_KIND value="HadoopJobConfigurationDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2019-07-12T12:34:20+00:00"/>
+    </HEADER>
+    <BODY>
+        <HADOOP_JOB name="propagationResultToCommunityThroughOrganizationSaveToFile" type="mapreduce">
+            <DESCRIPTION>map reduce job that propagates result to a community through the affiliation to organizations</DESCRIPTION>
+            <STATIC_CONFIGURATION><!-- I/O FORMAT -->
+                <PROPERTY key="mapreduce.inputformat.class" value="org.apache.hadoop.hbase.mapreduce.TableInputFormat"/>
+                <PROPERTY key="mapreduce.outputformat.class" value="org.apache.hadoop.mapreduce.lib.output.SequenceFileOutputFormat"/><!-- MAPPER -->
+                <PROPERTY key="mapreduce.map.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.communitythroughorganization.PropagationCommunityThroughOrganizationMapper"/>
+                <PROPERTY key="mapred.mapoutput.key.class" value="org.apache.hadoop.hbase.io.ImmutableBytesWritable"/>
+                <PROPERTY key="mapred.mapoutput.value.class" value="org.apache.hadoop.io.Text"/><!-- REDUCER -->
+                <PROPERTY key="mapreduce.reduce.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.communitythroughorganization.PropagationCommunityThroughOrganizationFileReducer"/>
+                <PROPERTY key="mapred.output.key.class" value="org.apache.hadoop.io.Text"/>
+                <PROPERTY key="mapred.output.value.class" value="org.apache.hadoop.io.Text"/><!-- MISC -->
+                <PROPERTY key="mapred.compress.map.output" value="true"/>
+                <PROPERTY key="mapred.map.tasks.speculative.execution" value="false"/>
+                <PROPERTY key="mapreduce.map.speculative" value="false"/>
+                <PROPERTY key="mapreduce.reduce.speculative" value="false"/>
+                <PROPERTY key="mapred.reduce.tasks.speculative.execution" value="false"/>
+                <PROPERTY key="mapred.reduce.tasks" value="1"/><!-- <PROPERTY key="user.name" value="dnet" /> --><!--  	Uncomment to override the default lib path --><!--<PROPERTY key="job.lib" value="/user/dnet/openaire/dnet-mapreduce-jobs-assembly-country_propagation-1.1.1-SNAPSHOT.jar"/>-->
+                <PROPERTY key="job.lib" value="/lib/dnet/snapshots/propagation_community2organization.jar"/>
+            </STATIC_CONFIGURATION>
+            <JOB_INTERFACE>
+                <PARAM description="source hbase table" name="hbase.mapred.inputtable" required="true"/>
+                <PARAM description="target hbase table" name="hbase.mapred.outputtable" required="true"/>
+                <PARAM description="source hbase table" name="hbase.mapreduce.inputtable" required="true"/>
+                <PARAM description="target hbase table" name="hbase.mapreduce.outputtable" required="true"/><!--<PARAM name="countryPropagation.conf" required="true" description="configuration for country propagation" />-->
+                <PARAM description="target sequence file on hdfs" name="mapred.output.dir" required="true"/>
+                <!--add needed param to get association between community and organization -->
+                <PARAM description="map organization to communities" name="organization.community.map" required="true"/>
+            </JOB_INTERFACE>
+            <SCAN>
+                <FILTERS/>
+                <FAMILIES/>
+            </SCAN>
+        </HADOOP_JOB>
+        <STATUS>
+            <LAST_SUBMISSION_DATE value="2019-08-06T16:02:35+00:00"/>
+            <RUNNING_INSTANCES value="1"/>
+            <CUMULATIVE_RUN value="43"/>
+        </STATUS>
+        <SECURITY_PARAMETERS>SECURITY_PARAMETERS</SECURITY_PARAMETERS>
+    </BODY>
+</RESOURCE_PROFILE>
+