Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/hbase/claims2hbase.xml
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/hbase/claims2hbase.xml	(revision 57578)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/hbase/claims2hbase.xml	(revision 57579)
@@ -4,7 +4,7 @@
 		<RESOURCE_TYPE value="WorkflowDSResourceType"/>
 		<RESOURCE_KIND value="WorkflowDSResources"/>
 		<RESOURCE_URI value=""/>
-		<DATE_OF_CREATION value="2017-06-24T18:13:51.0Z"/>
+		<DATE_OF_CREATION value="2019-11-11T17:57:19+01:00"/>
 	</HEADER>
 	<BODY>
 		<WORKFLOW_NAME>Claim to HBase</WORKFLOW_NAME>
@@ -11,11 +11,148 @@
 		<WORKFLOW_TYPE>Data Load</WORKFLOW_TYPE>
 		<WORKFLOW_PRIORITY>30</WORKFLOW_PRIORITY>
 		<CONFIGURATION start="manual">
-			<NODE name="applyClaimRels" type="ApplyClaimRels" isStart="true">
+			<NODE isStart="true" name="setTable" type="SetHBaseTable">
+				<DESCRIPTION>set hbase table</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="user" name="table" required="true" type="string">dev_openaire</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="mapreduceOAFClaim"/>
+					<ARC to="mapreduceODFClaim"/>
+				</ARCS>
+			</NODE>
+			<NODE isStart="true" name="prepareImportOAFClaims" type="PrepareMDStoreImport">
+				<DESCRIPTION>Configure export to HDFS for OAF claims</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="system" name="hdfsPathParam" required="true" type="string">hdfsPath</PARAM>
+					<PARAM managedBy="user" name="hdfsPath" required="true" type="string">/tmp/mdstores_oaf-store-claim_dev.seq</PARAM>
+					<PARAM managedBy="system" name="mappingParam" required="true" type="string">xslt</PARAM>
+					<PARAM function="obtainValues('oaf2hbaseMappings', {})" managedBy="user" name="mapping" required="true" type="string">43108eba-4b67-4d7a-8928-55ca09f1c8ff_VHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZXMvVHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZVR5cGU=</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="exportOAFClaimRecords"/>
+				</ARCS>
+			</NODE>
+			<NODE name="exportOAFClaimRecords" type="MDStoreBatchExporter">
+				<DESCRIPTION>Fetch OAF claim records</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="user" name="format" required="true" type="string">OAF</PARAM>
+					<PARAM managedBy="user" name="layout" required="true" type="string">store</PARAM>
+					<PARAM managedBy="user" name="interpretation" required="true" type="string">claim</PARAM>
+					<PARAM managedBy="system" name="outputEprParam" required="true" type="string">records_epr</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="storeOAFClaimRecords"/>
+				</ARCS>
+			</NODE>
+			<NODE name="storeOAFClaimRecords" type="StoreHdfsRecords">
+				<DESCRIPTION>Store OAF claims to HDFS</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="system" name="inputEprParam" required="true" type="string">records_epr</PARAM>
+					<PARAM managedBy="system" name="hdfsPathParam" required="true" type="string">hdfsPath</PARAM>
+					<PARAM managedBy="system" name="cluster" required="true" type="string">DM</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="doneExportOAFClaim"/>
+				</ARCS>
+			</NODE>
+			<NODE name="doneExportOAFClaim">
+				<DESCRIPTION/>
+				<PARAMETERS/>
+				<ARCS>
+					<ARC to="mapreduceOAFClaim"/>
+				</ARCS>
+			</NODE>
+			<NODE isJoin="true" name="mapreduceOAFClaim" type="SubmitHadoopJob">
+				<DESCRIPTION>Run M/R import Job for OAF claims</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="system" name="cluster" required="true" type="string">DM</PARAM>
+					<PARAM managedBy="system" name="hadoopJob" required="true" type="string">mdStoreHdfsImportJob</PARAM>
+					<PARAM managedBy="user" name="simulation" required="true" type="boolean">false</PARAM>
+					<PARAM managedBy="system" name="envParams" required="true" type="string">
+						{
+						'mapred.input.dir' : 'hdfsPath',
+						'hbase.import.xslt' : 'xslt',
+						'hbase.mapred.outputtable' : 'hbaseTable'
+						}
+					</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="goWithRelsAndUpdates"/>
+				</ARCS>
+			</NODE>
+			<NODE isStart="true" name="prepareImportODFClaims" type="PrepareMDStoreImport">
+				<DESCRIPTION>Configure export to HDFS for ODF claims</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="system" name="hdfsPathParam" required="true" type="string">hdfsPath</PARAM>
+					<PARAM managedBy="user" name="hdfsPath" required="true" type="string">/tmp/mdstores_odf-store-cleaned_dev.seq</PARAM>
+					<PARAM managedBy="system" name="mappingParam" required="true" type="string">xslt</PARAM>
+					<PARAM function="obtainValues('odf2hbaseMappings', {})" managedBy="user" name="mapping" required="true" type="string">a8258f53-3cc0-4353-879f-699883fd1d0c_VHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZXMvVHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZVR5cGU=</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="exportODFClaimRecords"/>
+				</ARCS>
+			</NODE>
+			<NODE name="exportODFClaimRecords" type="MDStoreBatchExporter">
+				<DESCRIPTION>Fetch ODF claim records</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="user" name="format" required="true" type="string">ODF</PARAM>
+					<PARAM managedBy="user" name="layout" required="true" type="string">store</PARAM>
+					<PARAM managedBy="user" name="interpretation" required="true" type="string">claim</PARAM>
+					<PARAM managedBy="system" name="outputEprParam" required="true" type="string">records_epr</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="storeODFClaimRecords"/>
+				</ARCS>
+			</NODE>
+			<NODE name="storeODFClaimRecords" type="StoreHdfsRecords">
+				<DESCRIPTION>Store records to HDFS</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="system" name="inputEprParam" required="true" type="string">records_epr</PARAM>
+					<PARAM managedBy="system" name="hdfsPathParam" required="true" type="string">hdfsPath</PARAM>
+					<PARAM managedBy="system" name="cluster" required="true" type="string">DM</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="doneExportODFClaim"/>
+				</ARCS>
+			</NODE>
+			<NODE name="doneExportODFClaim">
+				<DESCRIPTION/>
+				<PARAMETERS/>
+				<ARCS>
+					<ARC to="mapreduceODFClaim"/>
+				</ARCS>
+			</NODE>
+			<NODE isJoin="true" name="mapreduceODFClaim" type="SubmitHadoopJob">
+				<DESCRIPTION>Run M/R import Job for ODF claims</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM managedBy="system" name="cluster" required="true" type="string">DM</PARAM>
+					<PARAM managedBy="system" name="hadoopJob" required="true" type="string">mdStoreHdfsImportJob</PARAM>
+					<PARAM managedBy="user" name="simulation" required="true" type="boolean">false</PARAM>
+					<PARAM managedBy="system" name="envParams" required="true" type="string">
+						{
+						'mapred.input.dir' : 'hdfsPath',
+						'hbase.import.xslt' : 'xslt',
+						'hbase.mapred.outputtable' : 'hbaseTable'
+						}
+					</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="goWithRelsAndUpdates"/>
+				</ARCS>
+			</NODE>
+			<NODE isJoin="true" name="goWithRelsAndUpdates">
+				<DESCRIPTION/>
+				<PARAMETERS/>
+				<ARCS>
+					<ARC to="applyClaimRels"/>
+				</ARCS>
+			</NODE>
+			<NODE name="applyClaimRels" type="ApplyClaimRels">
 				<DESCRIPTION>Apply Claim Rels</DESCRIPTION>
 				<PARAMETERS>
 					<PARAM managedBy="system" name="clusterName" required="true" type="string">DM</PARAM>
-					<PARAM managedBy="user" name="tableName" required="true" type="string"></PARAM>
+					<PARAM managedBy="user" name="tableName" required="true" type="string">dev_openaire</PARAM>
 					<PARAM managedBy="user" name="sql" required="true" type="string">SELECT source_type, source_id, target_type, target_id, semantics FROM claim WHERE approved=TRUE AND source_type !='context'</PARAM>
 					<PARAM managedBy="user" name="countQuery" required="true" type="string">SELECT count(*) FROM claim WHERE approved=TRUE AND source_type !='context'</PARAM>
 				</PARAMETERS>
@@ -27,7 +164,7 @@
 				<DESCRIPTION>Apply Claim Updates</DESCRIPTION>
 				<PARAMETERS>
 					<PARAM managedBy="system" name="clusterName" required="true" type="string">DM</PARAM>
-					<PARAM managedBy="user" name="tableName" required="true" type="string"></PARAM>
+					<PARAM managedBy="user" name="tableName" required="true" type="string">dev_openaire</PARAM>
 					<PARAM managedBy="user" name="sql" required="true" type="string">SELECT source_type, source_id, target_type, target_id, semantics FROM claim WHERE approved=TRUE AND source_type ='context'</PARAM>
 					<PARAM managedBy="user" name="countQuery" required="true" type="string">SELECT count(*) FROM claim WHERE approved=TRUE AND source_type ='context'</PARAM>
 				</PARAMETERS>
@@ -37,6 +174,10 @@
 			</NODE>
 		</CONFIGURATION>
 		<STATUS>
+			<LAST_EXECUTION_ID>wf_20191111_170912_747</LAST_EXECUTION_ID>
+			<LAST_EXECUTION_DATE>2019-11-11T17:36:30+01:00</LAST_EXECUTION_DATE>
+			<LAST_EXECUTION_STATUS>SUCCESS</LAST_EXECUTION_STATUS>
+			<LAST_EXECUTION_ERROR/>
 		</STATUS>
 	</BODY>
-</RESOURCE_PROFILE>
+</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/repo-hi/dataRepository_claim_ingestion.xml
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/repo-hi/dataRepository_claim_ingestion.xml	(revision 57578)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/repo-hi/dataRepository_claim_ingestion.xml	(revision 57579)
@@ -60,7 +60,7 @@
 				<DESCRIPTION>Create cleaned store</DESCRIPTION>
 				<PARAMETERS>
 					<PARAM name="format" managedBy="system" required="true" type="string">ODF</PARAM>
-					<PARAM name="interpretation" managedBy="system" required="true" type="string">cleaned</PARAM>
+					<PARAM name="interpretation" managedBy="system" required="true" type="string">claim</PARAM>
 					<PARAM name="layout" managedBy="system" required="true" type="string">store</PARAM>
 					<PARAM name="outputPrefix" managedBy="system" required="true" type="string">tran_</PARAM>
 				</PARAMETERS>
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/repo-hi/pubsRepository_claim_ingestion.xml
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/repo-hi/pubsRepository_claim_ingestion.xml	(revision 57578)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/repo-hi/pubsRepository_claim_ingestion.xml	(revision 57579)
@@ -60,7 +60,7 @@
 				<DESCRIPTION>Create cleaned store</DESCRIPTION>
 				<PARAMETERS>
 					<PARAM name="format" managedBy="system" required="true" type="string">OAF</PARAM>
-					<PARAM name="interpretation" managedBy="system" required="true" type="string">cleaned</PARAM>
+					<PARAM name="interpretation" managedBy="system" required="true" type="string">claim</PARAM>
 					<PARAM name="layout" managedBy="system" required="true" type="string">store</PARAM>
 					<PARAM name="outputPrefix" managedBy="system" required="true" type="string">tran_</PARAM>
 				</PARAMETERS>