Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationOrcidToResultSaveToFileJob.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationOrcidToResultSaveToFileJob.xml	(nonexistent)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationOrcidToResultSaveToFileJob.xml	(revision 57725)
@@ -0,0 +1,46 @@
+<RESOURCE_PROFILE>
+<HEADER>
+    <RESOURCE_IDENTIFIER value="8a2b5e8c-5b92-44fb-b4d5-b0a2e08ac143_SGFkb29wSm9iQ29uZmlndXJhdGlvbkRTUmVzb3VyY2VzL0hhZG9vcEpvYkNvbmZpZ3VyYXRpb25EU1Jlc291cmNlVHlwZQ=="/>
+    <RESOURCE_TYPE value="HadoopJobConfigurationDSResourceType"/>
+    <RESOURCE_KIND value="HadoopJobConfigurationDSResources"/>
+    <RESOURCE_URI value=""/>
+    <DATE_OF_CREATION value="2019-10-13T12:34:20+00:00"/>
+</HEADER>
+<BODY>
+    <HADOOP_JOB name="propagationOrcidToResultSaveToFile" type="mapreduce">
+        <DESCRIPTION>map reduce job that propagates orcid to results</DESCRIPTION>
+        <STATIC_CONFIGURATION><!-- I/O FORMAT -->
+            <PROPERTY key="mapreduce.inputformat.class" value="org.apache.hadoop.hbase.mapreduce.TableInputFormat"/>
+            <PROPERTY key="mapreduce.outputformat.class" value="org.apache.hadoop.mapreduce.lib.output.SequenceFileOutputFormat"/><!-- MAPPER -->
+            <PROPERTY key="mapreduce.map.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.orcidthroughproducts.PropagationOrcidToResultMapper">
+            <PROPERTY key="mapred.mapoutput.key.class" value="org.apache.hadoop.hbase.io.ImmutableBytesWritable"/>
+            <PROPERTY key="mapred.mapoutput.value.class" value="org.apache.hadoop.io.Text"/><!-- REDUCER -->
+            <PROPERTY key="mapreduce.reduce.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.orcidthroughproducts.PropagationOrcidToResultFileReducer"/>
+            <PROPERTY key="mapred.output.key.class" value="org.apache.hadoop.io.Text"/>
+            <PROPERTY key="mapred.output.value.class" value="org.apache.hadoop.io.Text"/><!-- MISC -->
+            <PROPERTY key="mapred.compress.map.output" value="true"/>
+            <PROPERTY key="mapred.map.tasks.speculative.execution" value="false"/>
+            <PROPERTY key="mapreduce.map.speculative" value="false"/>
+            <PROPERTY key="mapreduce.reduce.speculative" value="false"/>
+            <PROPERTY key="mapred.reduce.tasks.speculative.execution" value="false"/>
+            <PROPERTY key="mapred.reduce.tasks" value="1"/><!-- <PROPERTY key="user.name" value="dnet" /> --><!--  	Uncomment to override the default lib path --><!--<PROPERTY key="job.lib" value="/user/dnet/openaire/dnet-mapreduce-jobs-assembly-country_propagation-1.1.1-SNAPSHOT.jar"/>-->
+            <PROPERTY key="job.lib" value="/lib/dnet/snapshots/propagation_orcid2results.jar"/>
+        </STATIC_CONFIGURATION>
+        <JOB_INTERFACE>
+            <PARAM description="source hbase table" name="hbase.mapred.inputtable" required="true"/>
+            <PARAM description="target hbase table" name="hbase.mapred.outputtable" required="true"/>
+            <PARAM description="source hbase table" name="hbase.mapreduce.inputtable" required="true"/>
+            <PARAM description="target hbase table" name="hbase.mapreduce.outputtable" required="true"/><!--<PARAM name="countryPropagation.conf" required="true" description="configuration for country propagation" />-->
+            <PARAM description="target sequence file on hdfs" name="mapred.output.dir" required="true"/>
+            <!--add needed param to get association between community and organizationtoresult -->
+            <!--<PARAM description="map organizationtoresult to communities" name="organizationtoresult.community.map" required="true"/>-->
+        </JOB_INTERFACE>
+    </HADOOP_JOB>
+    <STATUS>
+        <LAST_SUBMISSION_DATE value="2001-12-31T12:00:00"/>
+        <RUNNING_INSTANCES value="0"/>
+        <CUMULATIVE_RUN value="0"/>
+    </STATUS>
+    <SECURITY_PARAMETERS>SECURITY_PARAMETERS</SECURITY_PARAMETERS>
+</BODY>
+</RESOURCE_PROFILE>
Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationORCIDToResultJob.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationORCIDToResultJob.xml	(nonexistent)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/HadoopJobConfigurationDSResources/HadoopJobConfigurationDSResourceType/propagationORCIDToResultJob.xml	(revision 57725)
@@ -0,0 +1,50 @@
+<RESOURCE_PROFILE>
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="a971e717-2ebf-44c3-abc7-d5599ad7a86a_SGFkb29wSm9iQ29uZmlndXJhdGlvbkRTUmVzb3VyY2VzL0hhZG9vcEpvYkNvbmZpZ3VyYXRpb25EU1Jlc291cmNlVHlwZQ=="/>
+        <RESOURCE_TYPE value="HadoopJobConfigurationDSResourceType"/>
+        <RESOURCE_KIND value="HadoopJobConfigurationDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2019-08-07T14:39:58+00:00"/>
+    </HEADER>
+    <BODY>
+        <HADOOP_JOB name="propagationOrcidToResult" type="mapreduce">
+            <DESCRIPTION>map reduce job that propagates result to a community through the affiliation to organizations</DESCRIPTION>
+            <STATIC_CONFIGURATION><!-- I/O FORMAT -->
+                <PROPERTY key="mapreduce.inputformat.class" value="org.apache.hadoop.hbase.mapreduce.TableInputFormat"/>
+                <PROPERTY key="mapreduce.outputformat.class" value="org.apache.hadoop.hbase.mapreduce.TableOutputFormat"/><!-- MAPPER -->
+                <PROPERTY key="mapreduce.map.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.orcidthroughproducts.PropagationOrcidToResultMapper"/>
+                <PROPERTY key="mapred.mapoutput.key.class" value="org.apache.hadoop.hbase.io.ImmutableBytesWritable"/>
+                <PROPERTY key="mapred.mapoutput.value.class" value="org.apache.hadoop.io.Text"/><!-- REDUCER -->
+                <PROPERTY key="mapreduce.reduce.class" value="eu.dnetlib.data.mapreduce.hbase.propagation.orcidthroughproducts.PropagationOrcidToResultReducer"/>
+                <PROPERTY key="mapred.output.key.class" value="org.apache.hadoop.hbase.io.ImmutableBytesWritable"/>
+                <PROPERTY key="mapred.output.value.class" value="org.apache.hadoop.io.Text"/><!-- MISC -->
+                <PROPERTY key="mapred.compress.map.output" value="true"/>
+                <PROPERTY key="mapred.map.tasks.speculative.execution" value="false"/>
+                <PROPERTY key="mapreduce.map.speculative" value="false"/>
+                <PROPERTY key="mapreduce.reduce.speculative" value="false"/>
+                <PROPERTY key="mapred.reduce.tasks.speculative.execution" value="false"/>
+                <PROPERTY key="mapred.reduce.tasks" value="20"/><!-- <PROPERTY key="user.name" value="dnet" /> --><!--  	Uncomment to override the default lib path --><!--<PROPERTY key="job.lib" value="/user/dnet/openaire/dnet-mapreduce-jobs-assembly-country_propagation-1.1.1-SNAPSHOT.jar"/>-->
+                <PROPERTY key="job.lib" value="/lib/dnet/snapshots/propagation_orcid2results.jar"/>
+            </STATIC_CONFIGURATION>
+            <JOB_INTERFACE>
+                <PARAM description="source hbase table" name="hbase.mapred.inputtable" required="true"/>
+                <PARAM description="target hbase table" name="hbase.mapred.outputtable" required="true"/>
+                <PARAM description="source hbase table" name="hbase.mapreduce.inputtable" required="true"/>
+                <PARAM description="target hbase table" name="hbase.mapreduce.outputtable" required="true"/>
+
+
+
+            </JOB_INTERFACE>
+            <SCAN>
+                <FILTERS/>
+                <FAMILIES/>
+            </SCAN>
+        </HADOOP_JOB>
+        <STATUS>
+            <LAST_SUBMISSION_DATE value="2019-08-07T14:50:14+00:00"/>
+            <RUNNING_INSTANCES value="2"/>
+            <CUMULATIVE_RUN value="34"/>
+        </STATUS>
+        <SECURITY_PARAMETERS>SECURITY_PARAMETERS</SECURITY_PARAMETERS>
+    </BODY>
+</RESOURCE_PROFILE>
\ No newline at end of file